From 77beb3055b14910fa3ef9af606476520e956bf93 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Mon, 20 Apr 2020 22:18:52 +0100
Subject: [PATCH] driver: char: rpivid: Remove legacy name support

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 drivers/char/broadcom/rpivid-mem.c | 22 ----------------------
 1 file changed, 22 deletions(-)

--- a/drivers/char/broadcom/rpivid-mem.c
+++ b/drivers/char/broadcom/rpivid-mem.c
@@ -193,32 +193,11 @@ static int rpivid_mem_probe(struct platf
 		goto failed_device_create;
 	}
 
-	/* Legacy alias */
-	{
-		char *oldname = kstrdup(priv->name, GFP_KERNEL);
-
-		oldname[1] = 'a';
-		oldname[2] = 'r';
-		oldname[3] = 'g';
-		oldname[4] = 'o';
-		oldname[5] = 'n';
-		dev = device_create(priv->class, NULL, priv->devid + 1, NULL,
-				    oldname + 1);
-		kfree(oldname);
-
-		if (IS_ERR(dev)) {
-			err = PTR_ERR(dev);
-			goto failed_legacy_device_create;
-		}
-	}
-
 	dev_info(priv->dev, "%s initialised: Registers at 0x%08lx length 0x%08lx",
 		priv->name, priv->regs_phys, priv->mem_window_len);
 
 	return 0;
 
-failed_legacy_device_create:
-	device_destroy(priv->class, priv->devid);
 failed_device_create:
 	class_destroy(priv->class);
 failed_class_create:
@@ -238,7 +217,6 @@ static int rpivid_mem_remove(struct plat
 	struct device *dev = &pdev->dev;
 	struct rpivid_mem_priv *priv = platform_get_drvdata(pdev);
 
-	device_destroy(priv->class, priv->devid + 1);
 	device_destroy(priv->class, priv->devid);
 	class_destroy(priv->class);
 	cdev_del(&priv->rpivid_mem_cdev);
